package com.sun.sws.admin.ListResourceBundle;

import java.util.*;

/**
 * Copyright (c) 1999, by Sun Microsystems, Inc.
 * All rights reserved.
 * <p>
 *
 * <p>
 * @version @(#)ServerPropertiesUI.java 3.2     99/03/30 SMI
 * @author  Amy Kang
 */

public class ServerPropertiesUI extends ListResourceBundle {
    public Object[][] getContents() {
	return contents;
    }
 	/* {"length.xxxxxx", new Integer(n)} 
	 * - n for text field length and canbe adjusted on localization
	 */
    static final Object[][] contents = {
	{ "menu.instance properties", "Instance Properties..."},
	{ "menu.delete server", "Delete Server"},
	{ "menu.create server...", "Create Server..."},
	{ "menu.server...", "Server..."},
	{ "frame.edit server", "Edit Server"},
	{ "frame.create server", "Create Server"},
	{ "menu.stop", "Stop Server"},
	{ "menu.start", "Start Server"},
	{ "menu.restart", "Restart Server"},
	{ "menu.check server status", "Check Server Status"},
	{ "title.server properties", "Server Properties"},
	{ "label.server list", "Server List"},

	{"menu.sort by status", "Status"},
	{"menu.sort by ip address", "IP Address"},
	{"menu.sort by port", "Port"},

	//server configurations page
	{ "label.server list", "Server List"},
	{ "server property", "Server Property"},
	{ "web sites", "Web Sites"},
	{ "ip/ports", "IP/Ports"},
	{ "servlets", "Servlets"},
	{ "event log", "Event Log"},
	{ "cgi log","CGI Log"},
	{ "servlet log","Servlet Log"},
	{ "script errors log", "Script Errors Log"},
	{ "mime types", "MIME Types"},
	{ "title.mime types and encoding", "MIME Types and Encoding"},
	{ "encoding/extension", "Encoding/Extension"},
	{ "url aliases","URL Aliases"},

	// Server Identity section
	{ "label.server identity", "Server Identity"},

	{ "down", "Down"},
	{ "initializing", "Initializing"},
	{ "running", "Running"},
	{ "restarting", "Restarting"},
	{ "shutting down", "Shutting Down"},
	{ "disabled", "Disabled"},
	{ "unknown", "Unknown"},
	{ "label.status", "Status" },
	{ "label.server status", "Server Status" },
	{ "label.version", "Version" },
	{ "label.name", "Name" },
	{ "length.name", new Integer(28)},
	{ "label.configuration file", "Configuration File" },
	{ "length.configuration file", new Integer(28)},

	{ "label.description", "Description" },
	{ "length.description", new Integer(28) },

	{ "label.admin", "Administrator E-mail" },
	{ "length.admin", new Integer(28) },

	{ "label.server user", "Server User" },
	{ "length.server user", new Integer(28) },

	{ "label.server path", "Server Path"},
	{ "length.server path", new Integer(28)},

	{ "frame.edit server identity", "Edit Server Identity Settings"},

	// Cache and Threads section
	{ "label.cache and threads", "Cache and Threads" },

	{ "label.cache_enable", "Enable Server File Cache" },
  	{ "frame.edit cache settings", "Edit Cache Settings"},

	{ "label.cache_large_file_cache_size", "Large File Cache Size"},
	{ "unit.cache_large_file_cache_size", "MB"}, 
	//no translation on default.cache_large_file_cache_size value 256
	{ "default.cache_large_file_cache_size", new Integer(256)}, 
	{ "length.cache_large_file_cache_size", new Integer(5)}, 

	{ "label.cache_max_file_size", "Maximum File Size to Cache"}, 
	{ "unit.cache_max_file_size", "MB"}, 
	//no translation on default.cache_max_file_size value 1
	{ "default.cache_max_file_size", new Integer(1)}, 
	{ "length.cache_max_file_size", new Integer(5)}, 

	{ "label.cache_small_file_cache_size", "Small File Cache Size"},
	{ "unit.cache_small_file_cache_size", "MB"},
	//no translation on default.cache_small_file_cache_size value 8
	{ "default.cache_small_file_cache_size", new Integer(8)},
	{ "length.cache_small_file_cache_size", new Integer(5)},

	{ "label.cache_verification_time", "Cache Verification Time"},
	{ "unit.cache_verification_time", "seconds"},
	//no translation on unit.cache_verification_time value 10
	{ "default.cache_verification_time", new Integer(10)},
	{ "length.cache_verification_time", new Integer(5)},

	{ "label.thread pool", "Maximum Process Thread Pool"},
	{ "label.lwp threads", "Concurrent LWP Threads"},

	//file and directory access
	{ "label.file and directory access","File and Directory Access"},
	{ "label.enable access control", "Enable Access Control Lists"},
	{ "label.follow symbolic links", "Follow Symbolic Links"},
	{ "label.default directory listing", "Default Directory Listing"},
	{ "listing.choice.off", "Off"},
	{ "listing.choice.simple", "Simple"},
	{ "listing.choice.fancy", "Fancy"},
	{ "label.default file", "Default File Name"},
	{ "label.user dir source", "~user Directory Source"},
	//no translation on UNIXSYS
	{ "user_doc_source.choice.unixsys", "UNIXSYS"},
	//no translation on ISP
	{ "user_doc_source.choice.isp", "ISP"},

	// Dynamic Content
	{ "label.dynamic content", "Dynamic Content"},
	{ "label.cgi", "CGI"},
 	{ "label.enable servlets", "Enable Servlets"},
	{ "label.server classpath", "Server CLASSPATH"},
	{ "length.server classpath", new Integer(55)},
 	{ "label.site cgi policies", "Site CGI Policies"},
    { "label.servlet engine", "Servlet Engine"},
 	{ "label.shared servlet engine", "Shared Servlet Engine"},
 	{ "label.individual engine per site", "Individual Engine per Site"},
	{ "label.enable sessions", "Enable Sessions"},
	{ "label.enable session persistence", "Enable Session Persistence"},
	{ "label.use cookies to mark sessions", "Use Cookies to Mark Sessions"},
	{ "label.use url rewriting to mark sessions","Use URL Rewriting to Mark Sessions"},
	{ "label.session settings", "Session Settings"},
	{ "label.cgi settings", "CGI Settings"},
	{ "label.allow dns lookup", "Allow DNS Lookup of Client Host Name"},
	{ "label.allow root as cgi user", "Allow Root as CGI User"},
	{ "label.require unique cgi user", "Require Unique CGI User for Each Site"},
	{ "frame.servlet settings", "Servlet Settings"},
	{ "button.jvm options", "Java Virtual Machine Options"},
	{ "frame.jvm options", "JVM Options"},
	{ "button.display jvm options", "Display JVM options"},

	//no translation for these 4 numbers - 400K, 128K, 2M, 16M
	{ "default.max_java_stack_size", new Integer(409600)},
	{ "default.max_native_stack_size", new Integer(131072)},
	{ "default.initial_java_heap_size", new Integer(2097152)},
	{ "default.max_java_heap_size", new Integer(16777216)},
	{ "label.max_java_stack_size", "Maximum Java Stack Size"},
	{ "length.max_java_stack_size", new Integer(10)},
	{ "unit.max_java_stack_size", "Byte"},
	{ "label.max_native_stack_size", "Maximum Native Stack Size"},
	{ "length.max_native_stack_size", new Integer(10)},
	{ "unit.max_native_stack_size", "Byte"},
	{ "label.initial_java_heap_size", "Initial Java Heap Size"},
	{ "length.initial_java_heap_size", new Integer(15)},
	{ "unit.initial_java_heap_size", "Byte"},
	{ "label.max_java_heap_size", "Maximum Java Heap Size"},
	{ "length.max_java_heap_size", new Integer(15)},
	{ "unit.max_java_heap_size", "Byte"},

	// mime types
	{ "label.mime types", "MIME Types"},
	{ "header.mime type", "MIME  Type"},
	{ "header.encoding", "Encoding"},
	{ "header.file extensions", "File Extensions"},
	{ "frame.add mime mapping", "Add MIME Mapping"},
	{ "frame.edit mime mapping", "Edit MIME Mapping"},
	{ "frame.add encoding", "Add Encoding"},
	{ "frame.edit encoding", "Edit Encoding"},
	{ "label.mime type", "MIME Type"},
	{ "label.file extensions", "File Extensions"},
	{ "menu.save mime file", "Save MIME File"},
	{ "mime type/extension", "MIME Type/Extension"},
	{ "label.encoding", "Encoding"},

	// ip/ports
	{"label.ip/ports","IP/Ports"},
	{"header.ip address","IP Address"},
	{"header.port","Port"},
	{"header.timeout","Timeout"},
	{"header0.allow 1.0","Allow 1.0"},
	{"header1.keepalive","Keepalive"},
	{"header0.enable","Enable"},
	{"header1.ssl","SSL"},
	{"header.ssl ciphers","SSL Ciphers"},
	{"header0.require","Require"},
	{"header1.certificate","Certificate"},
	{"menu.save ip/ports","Save IP/Ports"},
	{"label.ip address", "IP Address"},
	{"label.port","Port"},
	{"label.timeout", "Timeout"},
	{"length.timeout", new Integer(5)},
	{"unit.timeout", "seconds"},
	//no translation on default.timeout value 180
	{"default.timeout", new Integer(180)},
	{"label.allow http 1.0 keepalive", "Allow HTTP 1.0 Keepalive"},
	{"label.ssl settings", "SSL Settings"},
	{"label.enable ssl", "Enable SSL"},
	{"label.require client certificate", "Require Client Certificate"},
	{"label.ssl ciphers", "SSL Ciphers"},
	{"label.128-bit", "128-bit"},
	{"label.40-bit", "40-bit"},
	{"label.ssl installed", "SSL installed:"},
	{"frame.add/edit ip/port","Add/Edit IP/Port"},
	{"ip address:port", "IP Address:Port"},

	// icons
	{ "label.icons", "Icons"},
	{ "header.icon", "Icon"},
	{ "header.icon uri", "Icon URI"},
	{ "header.alt text", "Alt Text"},
	{ "header.filename", "Filename"},
	{ "header.uri", "URI"},
	{ "label.default icon filename", "Default Icon Filename"},
	{ "length.default icon filename", new Integer(30)},
	{ "label.default icon uri", "Default Icon URI"},
	{ "length.default icon uri", new Integer(30)},
	{ "frame.add/edit icons", "Add/Edit Icons"},
	{ "label.alt text", "Alt Text"},
	{ "label.icon file name", "Icon File Name"},
	{ "label.icon uri", "Icon URI"},
	{ "label.extension","Extension"},
	{ "label.file extension","File Extension"},

	// error messages
	{ "label.default", "Default"},
	{ "button.default...", "Default..."},
	{ "button.default", "Default"},
	{ "<default>", "<default>"},
	{ "label.error messages", "Error Messages"},
	{ "header.http error code","HTTP Error Code"},
	{ "header.message url", "Message URL"},
	{ "frame.map http error code", "Map HTTP Error Code"},
	{ "frame.add http error code mapping", "Add HTTP Error Code Mapping"},
	{ "frame.edit http error code mapping", "Edit HTTP Error Code Mapping"},
	{ "label.http error code","HTTP Error Code"},
	{ "label.message url", "Message URL"},
	{ "label.select code","Select code:"},

	// misc
	{ "label.misc", "Miscellaneous"},
	{ "label.mime file", "MIME File"},
	{ "label.default mime type", "Default MIME Type"},
	{ "length.default mime type", new Integer(35)},
	{ "label.aliases file", "Aliases File (relative to Server Path)"},

	//admininstration
	{"title.admin server", "Admin Server"},
	{"properties","Properties"},
	{"acl", "ACL"},
	{"realm", "Realm"},
	{"users", "Users"},
	{"groups", "Groups"},
	{ "label.cache size", "Cache Size"},
	{ "length.cache size", new Integer(5)},
	{ "unit.cache size", "MB"},
	//no translation on default.cache size value 8
	{ "default.cache size", new Integer(8)},

	{"label.port number", "Port Number"},
	{"label.ip/port", "IP/Port"},

     };
}
